Package: org.gradle.plugins.ide.eclipse.model

## [Groovy] Class WtpFacet

- org.gradle.plugins.ide.eclipse.model.WtpFacet

- Creates the .settings/org.eclipse.wst.common.project.facet.core.xml file for WTP projects.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject` | `__$stMC, __timeStamp, __timeStamp__239_neverHappen1416822643414, __$stMC, __timeStamp, __timeStamp__239_neverHappen1416822643286`
    `class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject` | `__$stMC, __timeStamp, __timeStamp__239_neverHappen1416822643286`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `List` | `facets`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WtpFacet (org.gradle.internal.xml.XmlTransformer xmlTransformer)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `configure(List<Facet> facets)`
    `boolean` | `equals(def o)`
    `protected String` | `getDefaultResourceName()`
    `int` | `hashCode()`
    `protected void` | `load(Node xml)`
    `protected void` | `store(Node xml)`
    `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject` | `org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#__$swapInit(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$wait(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$wait(long, int), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$getMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$notify(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$notifyAll(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$toString(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$invoke$2(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$set$2(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$get$2(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$this$dist$invoke$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$this$dist$set$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$this$dist$get$1(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$$getStaticMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getXml(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#transformAction(groovy.lang.Closure), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$load(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$store(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$2$loadDefaults(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$wait(long), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$getClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$hashCode(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$clone(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$finalize(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#super$1$equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$invoke$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$set$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#this$dist$get$1(java.lang.String), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.XmlPersistableConfigurationObject#notifyAll()`
    `class org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject` | `org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setProperty(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getProperty(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.InputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#load(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.File), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#store(java.io.OutputStream), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#invokeMethod(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getMetaClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#setMetaClass(groovy.lang.MetaClass), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#__$swapInit(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$notifyAll(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$clone(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$finalize(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this$dist$invoke$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this$dist$set$1(java.lang.String, java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#this$dist$get$1(java.lang.String), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#super$1$toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#loadDefaults(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long, int), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(long), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#wait(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#equals(java.lang.Object), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#toString(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#hashCode(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#getClass(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notify(), org.gradle.plugins.ide.internal.generator.AbstractPersistableConfigurationObject#notifyAll()`

- - ### Property Detail

    - #### List facets

  - ### Constructor Detail

    - #### WtpFacet(org.gradle.internal.xml.XmlTransformer xmlTransformer)

  - ### Method Detail

    - #### void configure(List<Facet> facets)

    - #### boolean equals(def o)

    - #### @Override protected String getDefaultResourceName()

    - #### int hashCode()

    - #### @Override protected void load(Node xml)

    - #### @Override protected void store(Node xml)

    - #### String toString()